Subject: [alpine-aports] [PATCH] main/freeradius3: enabled krb5 (Kerberos) plugin and bumped to version 3.0.8

From: frol <[email-masked]>
Date: Fri, 24 Apr 2015 15:58:05 +0300

---
 main/freeradius3/APKBUILD                          | 28 ++++++++++++++--------
 .../freeradius3-305-default-config.patch           |  6 ++---
 2 files changed, 21 insertions(+), 13 deletions(-)

diff --git a/main/freeradius3/APKBUILD b/main/freeradius3/APKBUILD
index b2fe30d..0b63b1d 100644
--- a/main/freeradius3/APKBUILD
+++ b/main/freeradius3/APKBUILD
@@ -1,9 +1,10 @@
+# Contributor: Vladyslav Frolov <[email-masked]>
 # Contributor: Łukasz Jendrysik <[email-masked]>
 # Contributor: Natanael Copa <[email-masked]>
 # Maintainer: Leonardo Arena <[email-masked]>
 pkgname=freeradius3
 _realname=freeradius
-pkgver=3.0.7
+pkgver=3.0.8
 pkgrel=0
 pkgdesc="RADIUS (Remote Authentication Dial-In User Service) server"
 url="http://freeradius.org/"
@@ -11,7 +12,7 @@ arch="all"
 license="GPL"
 depends="freeradius3-lib"
 makedepends="openssl-dev mariadb-dev postgresql-dev gdbm-dev readline-dev
-	bash libtool autoconf automake perl-dev python-dev openldap-dev
+	bash libtool autoconf automake perl-dev python-dev openldap-dev krb5-dev
 	unixodbc-dev linux-pam-dev sqlite-dev talloc-dev libpcap-dev
 	linux-headers"
 pkggroups="radius"
@@ -20,7 +21,7 @@ install="$pkgname.pre-install"
 subpackages="$pkgname-doc $pkgname-dev $pkgname-dbg $pkgname-ldap $pkgname-lib
 	$pkgname-mssql $pkgname-mysql $pkgname-sql $pkgname-perl
 	$pkgname-postgresql $pkgname-python $pkgname-radclient $pkgname-sqlite
-	$pkgname-unixodbc $pkgname-pam $pkgname-eap $pkgname-dbg"
+	$pkgname-unixodbc $pkgname-pam $pkgname-eap $pkgname-krb5 $pkgname-dbg"
 source="ftp://ftp.freeradius.org/pub/freeradius/$_realname-server-$pkgver.tar.gz
 	$pkgname.confd
 	$pkgname.initd
@@ -73,7 +74,7 @@ build() {
                 --with-rlm_sql_sqlite \
                 --with-rlm_sql_postgresql \
                 --with-rlm_sql_mysql \
-		--without-rlm_krb5 \
+		--with-rlm_krb5 \
 		--without-rlm_eap_tnc \
 		--without-rlm_eap_ikev2 \
 		--without-rlm_sql_iodbc \
@@ -137,6 +138,13 @@ ldap() {
 		|| return 1
 }
 
+ldap() {
+	depends="freeradius3"
+	mkdir -p "${subpkgdir}"${radlibdir}
+	mv "${pkgdir}"${radlibdir}/rlm_krb5* "${subpkgdir}"${radlibdir} \
+		|| return 1
+}
+
 lib() {
 	depends=""
 	pkgdesc="Freeradius shared libraries"
@@ -231,21 +239,21 @@ pam() {
 		|| return 1
 }
 
-md5sums="e72a378fd8668e9b76b243e70bad0798  freeradius-server-3.0.7.tar.gz
+md5sums="29a65ff73147ac19cbeb797a0e631c18  freeradius-server-3.0.8.tar.gz
 fc6693f3df5a0694610110287a28568a  freeradius3.confd
 3a50b7f233e74daf3f87da63b3e9579d  freeradius3.initd
 d86558365a1deea4914ed139797805b0  musl-fix-headers.patch
 ecd9ecfba4cf86a203de6faf8398c44a  disable-cert-generation.patch
-13bc93b64d4d6517539a3ffc13a40872  freeradius3-305-default-config.patch"
-sha256sums="6d4d2f5cd9e8ca49da66f8a1e706eaad791be342d7f89fbfa167a6b648028ded  freeradius-server-3.0.7.tar.gz
+f8a7b00835f2108acc06af212cede16e  freeradius3-305-default-config.patch"
+sha256sums="c27252d7a86ba252904612d9b1f90e846f3ef1f4afee6a748f5287b730e87e3a  freeradius-server-3.0.8.tar.gz
 2d5b3e1af1299373182f2c8021bdf45c29db5d82b0a077b965a16ded32cb6292  freeradius3.confd
 e173cce3b8a4c2ed4d1fdd58fff8ec21e9166f011ec052f5f4c01712493e72b3  freeradius3.initd
 872aaebf86a663f819460d98924a9dc1f3e428facac6930dc98d1e442df1633f  musl-fix-headers.patch
 008fa3a4da7b3c01df238bf492a8ccda4077289c02c553a60ad8f4439ec136a2  disable-cert-generation.patch
-72235e434642950ebc3e6f31398a16dd7d4f17813f849d6b1114064b91bd0cab  freeradius3-305-default-config.patch"
-sha512sums="9eeb10bc7aa80eea04aca139ae8d23f1d87324a78794a52a7f3d8f8b986af9d68ea463457690a4de39e8744ccf910a43e3a5074bbcfd3a9cc0df19c0e7464acd  freeradius-server-3.0.7.tar.gz
+02cad546ffaf3f9be531cb45b96c7fb31f83c717e40ece4ff28a73c86f921f33  freeradius3-305-default-config.patch"
+sha512sums="89aabc474e95226eeb5003feef40fbe240f28aa65c40e0566a9bec08991d95fab83826f3b14f416cf4d7d832a814912521cb3c83097c1a2ce5d3e3537ee3a732  freeradius-server-3.0.8.tar.gz
 e248159c0a44f722e405c51c8015d9ad672e42ad0d38ca28f8a051ff911aa4d3e630b9bd4543e9d610940bc4ae50c022594e219ce341b36abe85c572acad418b  freeradius3.confd
 b29bf9090a2be7af77a3e104346a23024baf78a343e7f2fd6f6ddb02c223ac66d9b77c80d02b2cb26cbef2e64cb59c46462bb54b063b862e5a3a61c72653a63d  freeradius3.initd
 c49e5eec7497fccde5fd09dba1ea9b846e57bc88015bd81640aa531fb5c9b449f37136f42c85fe1d7940c5963aed664b85da28442b388c9fb8cc27873df03b2d  musl-fix-headers.patch
 09b78c6baa992f82ab81c43aad6792536a4708d460170f0a373e242a5fafe8db10662dc7fcef99a966b828ed91fa7fe38567c961c938de9a447f1ee03aebb142  disable-cert-generation.patch
-b2236d3484f31e5b21232c38b10e141e2cb243e82c7e89d5221c8db8c68f268038db0d1d2dfaf8456ea40a079d486d7685ccac98982359480566ede8277ffc16  freeradius3-305-default-config.patch"
+b69b899da6f80dbdb7422847536e37461315ba587a07fedc1eee28b96be7d16993b758ccd34e3a271ce2937d72c6ddff878aec61a3a4c0750deaaa959d10ed5e  freeradius3-305-default-config.patch"
diff --git a/main/freeradius3/freeradius3-305-default-config.patch b/main/freeradius3/freeradius3-305-default-config.patch
index c919737..ab04ad9 100644
--- a/main/freeradius3/freeradius3-305-default-config.patch
+++ b/main/freeradius3/freeradius3-305-default-config.patch
@@ -77,12 +77,12 @@
  }
  
  ######################################################################
-@@ -367,7 +367,7 @@
+@@ -393,7 +393,7 @@
  	#  hidden inside of the EAP packet, and the end server will
  	#  reject the EAP request.
  	#
 -	eap
 +#	eap
+ }
  
- 	#
- 	#  If the server tries to proxy a request and fails, then the
+ } # inner-tunnel server block 
-- 
2.3.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---